<?php

/**
 * Тестова тема 3
 *
 * @name: Theme 3
 * @slug: theme-3
 * @version: 1.0.0
 * @description: Третя тестова тема
 * @author: Flowaxy Team
 * @author_url: https://flowaxy.com
 * @requires: 1.0.0
 * @tested: 1.0.0
 * @package: Theme3
 *
 * FLOWAXY CMS 1.0.0 Stable
 */

declare(strict_types=1);

use Flowaxy\Support\Base\BaseTheme;

final class Theme3Theme extends BaseTheme
{
    public function registerHooks(): void
    {
    }

    public function registerRoutes(): void
    {
    }

    public function renderTheme(): void
    {
        $this->partial('header');
        $this->render('content');
        $this->partial('footer');
    }

    public function activate(): void
    {
        parent::activate();
    }

    public function deactivate(): void
    {
        parent::deactivate();
    }
}
